Resource

Escalation Rule

Manage on-call duty escalation rule for the on-call policy.

The Escalation Rule Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to On-Call Policy where this escalation rule belongs.

  • Name
    onCallDutyPolicyId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy where this escalation rule belongs.

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    escalateAfterInMinutes
    Type
    Number
    Description

    How long should we wait before we execute the next escalation rule?

  • Name
    order
    Type
    Number
    Description

    Order of this rule

GETorPOST/api/on-call-duty-policy-escalation-rule/get-list

List

This endpoint allows you to retrieve a paginated list of all your Escalation Rule. By default, a maximum of ten Escalation Rule are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-escalation-rule/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "onCallDutyPolicyId": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true
  },
  "query": {
    "name": "Escalate to Team Lead"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376e3650-28fe-11f1-b591-3fdcef396aba",
      "name": "Escalate to Team Lead",
      "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "376e3651-28fe-11f1-b591-3fdcef396aba",
      "name": "Escalate to Team Lead",
      "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "376e3652-28fe-11f1-b591-3fdcef396aba",
      "name": "Escalate to Team Lead",
      "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-escalation-rule/:id/get-item

Get item by ID

This endpoint allows you to retrieve Escalation Rule by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-escalation-rule/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "onCallDutyPolicyId": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "376e3650-28fe-11f1-b591-3fdcef396aba",
  "name": "Escalate to Team Lead",
  "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
POST/api/on-call-duty-policy-escalation-rule/count

Count

This endpoint allows you to retrieve the count of all your Escalation Rule.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-escalation-rule/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Escalate to Team Lead"
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-escalation-rule

Create Escalation Rule

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-escalation-rule
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Escalate to Team Lead",
    "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
}

Response

{
  "_id": "376e3650-28fe-11f1-b591-3fdcef396aba",
  "name": "Escalate to Team Lead",
  "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
PUT/api/on-call-duty-policy-escalation-rule/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-escalation-rule/:id/update-item
GET/api/on-call-duty-policy-escalation-rule/:id/update-item

Update Request

PUT
/api/on-call-duty-policy-escalation-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Escalate to Team Lead",
    "description": "If no response after 15 minutes, escalate to the team lead for immediate attention",
    "escalateAfterInMinutes": 15
  }
}

Response

{}
DELETE/api/on-call-duty-policy-escalation-rule/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-escalation-rule/:id/delete-item
GET/api/on-call-duty-policy-escalation-rule/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-policy-escalation-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Duty Policy Escalation Rule
  • Read All Project Resources

Create Permissions

Required to create Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Duty Policy Escalation Rule

Update Permissions

Required to update Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Edit On-Call Duty Policy Escalation Rule

Delete Permissions

Required to delete Escalation Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Delete On-Call Duty Policy Escalation Rule